#!/bin/bash

for i in alignment*.aln; do
  iqtree2 -s ${i} -te fixed.tre -blfix -m JC --redo 
  iqtree2 -s ${i} -te fixed.tre --prefix ${i%aln}best_length -m JC --redo
  snp-sites -c $i > ${i%aln}snpsites
  iqtree2 -fconst $(snp-sites -C ${i}) -s ${i%aln}snpsites -m JC --prefix ${i%aln}const --redo
done
rm alignment*.ckp.gz results.txt

for i in alignment*log; do
  echo -n ${i%.log}" | " >> results.txt
  grep SCORE ${i} | gawk '{printf $5" | "}' >> results.txt
  cat ${i%log}treefile >> results.txt
done
